Update TaskAgent Eval Set

Update a TaskAgent eval set name, description, or reference runs. Replacing reference runs creates fresh encrypted snapshots and preserves the submitted order.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID
task_agent_eval_set_idstringRequiredformat: "uuid"
The TaskAgent eval set ID

Request

This endpoint expects an object.
namestring or nullOptional1-64 characters
descriptionstring or nullOptional<=256 characters
task_agent_run_idslist of strings or nullOptional

Response

Successful Response
idstringformat: "uuid"
namestring
task_agent_idstringformat: "uuid"
project_idstringformat: "uuid"
createdstring
modifiedstring
task_agent_run_idslist of stringsRead-only
descriptionstring or null
created_by_user_idstring or nullformat: "uuid"

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error